/* $Id: symdbdata.h 45634 2013-04-19 08:57:32Z vboxsync $ */
/** @file
 * IPRT - NT kernel type helpers - Autogenerated, do NOT edit.
 */

/*
 * Copyright (C) 2013 Oracle Corporation
 *
 * This file is part of VirtualBox Open Source Edition (OSE), as
 * available from http://www.virtualbox.org. This file is free software;
 * you can redistribute it and/or modify it under the terms of the GNU
 * General Public License (GPL) as published by the Free Software
 * Foundation, in version 2 as it comes in the "COPYING" file of the
 * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
 * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
 *
 * The contents of this file may alternatively be used under the terms
 * of the Common Development and Distribution License Version 1.0
 * (CDDL) only, as it comes in the "COPYING.CDDL" file of the
 * VirtualBox OSE distribution, in which case the provisions of the
 * CDDL are applicable instead of those of the GPL.
 *
 * You may elect to license modified versions of this file under the
 * terms and conditions of either the GPL or the CDDL or both.
 */


#ifndef ___r0drv_nt_symdbdata_h
#define ___r0drv_nt_symdbdata_h

#include "r0drv/nt/symdb.h"

typedef struct RTNTSDBTYPE_KPRCB
{
    uint32_t offQuantumEnd;
    uint32_t cbQuantumEnd;
    uint32_t offDpcQueueDepth;
    uint32_t cbDpcQueueDepth;
    uint32_t offVendorString;
    uint32_t cbVendorString;
} RTNTSDBTYPE_KPRCB;


typedef struct RTNTSDBSET
{
    RTNTSDBOSVER                     OsVerInfo;
    RTNTSDBTYPE_KPRCB                KPRCB;
} RTNTSDBSET;
typedef RTNTSDBSET const *PCRTNTSDBSET;


#ifndef RTNTSDB_NO_DATA
const RTNTSDBSET g_artNtSdbSets[] = 
{
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_nec98\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en_chk\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en_chk\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_nec98\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_nec98\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en_chk\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp3sym_en_chk\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-x86-Symbols-ENU\symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-x86-Symbols-ENU\symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_nec98\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-nec98-Symbols-JPN\symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-nec98-Symbols-JPN\symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en_chk\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en_chk\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-x86-Symbols-ENU\symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-x86-Symbols-ENU\symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_nec98\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_nec98\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-nec98-Symbols-JPN\symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\Windows2000-KB891861-nec98-Symbols-JPN\symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en_chk\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\uold\w2ksp4sym_en_chk\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 4,
            /* .uBuildNo  = */ 2195,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0750,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x06e8,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x072d,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.fre.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.fre.rtm.symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.chk.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.chk.rtm.symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.fre.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.fre.rtm.symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.chk.rtm.symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\windowsxp.x86.chk.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86_chk\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86_chk\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86_chk\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\xpsp1sym_x86_chk\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-slp-Symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-slp-Symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-Debug-slp-Symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-Debug-slp-Symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-slp-Symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-slp-Symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-Debug-slp-Symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB835935-SP2-Debug-slp-Symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-symbols-full-ENU\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-symbols-full-ENU\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-DEBUG-symbols-full-ENU-DEBUG\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-DEBUG-symbols-full-ENU-DEBUG\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-symbols-full-ENU\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-symbols-full-ENU\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-DEBUG-symbols-full-ENU-DEBUG\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsXP-KB936929-SP3-x86-DEBUG-symbols-full-ENU-DEBUG\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 3,
            /* .uBuildNo  = */ 2600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x088c,
            /* .cbQuantumEnd                 = */ 0x0004,
            /* .offDpcQueueDepth             = */ 0x0870,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0900,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.fre.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.fre.rtm.symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.chk.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.chk.rtm.symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.fre.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.fre.rtm.symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.chk.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003.x86.chk.rtm.symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x08c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x086c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0a78,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x64-symbols-NRL-ENU\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.fre.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.fre.rtm.symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.amd64.fre.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU-DEBUG\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU-DEBUG\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x64-symbols-NRL-ENU-DEBUG\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.chk.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.chk.rtm.symbols\exe\ntkrnlpa.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.amd64.chk.rtm.symbols\exe\ntoskrnl.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ false,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x64-symbols-NRL-ENU\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.fre.rtm.symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.fre.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.amd64.fre.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU-DEBUG\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x86-symbols-NRL-ENU-DEBUG\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsServer2003-KB933548-v1-x64-symbols-NRL-ENU-DEBUG\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.chk.rtm.symbols\exe\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.x86.chk.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x0981,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x092c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x0b60,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows2003_sp1.amd64.chk.rtm.symbols\exe\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 5,
            /* .uMinorVer = */ 2,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 3790,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1f75,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x1f18,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x22b4,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6000.061101-2205.x86fre.Symbols\EXE\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 6000,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x19c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x196c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1bac,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6000.061101-2205.x86fre.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 6000,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x19c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x196c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1bac,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\WindowsVista.6000.061101-2205.amd64fre.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 6000,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x3375,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x3318,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x38bc,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6000.061101-2205.x86chk.Symbols\EXE\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 6000,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x19c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x196c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1bac,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6000.061101-2205.x86chk.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 6000,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x19c1,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x196c,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1bac,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\WindowsVista.6000.061101-2205.amd64chk.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 6000,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x3375,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x3318,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x38bc,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Longhorn.6001.080118-1840.x86fre.Symbols\EXE\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 6001,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Longhorn.6001.080118-1840.x86fre.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 6001,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Longhorn.6001.080118-1840.amd64fre.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 6001,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x3475,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x3418,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x399c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Longhorn.6001.080118-1840.x86chk.Symbols\EXE\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 6001,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Longhorn.6001.080118-1840.x86chk.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 6001,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Longhorn.6001.080118-1840.amd64chk.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 6001,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x3475,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x3418,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x399c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6002.090410-1830.x86fre.Symbols\EXE\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 6002,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6002.090410-1830.x86fre.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 6002,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\WindowsVista.6002.090410-1830.amd64fre.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 6002,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x3475,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x3418,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x399c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6002.090410-1830.x86chk.Symbols\EXE\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 6002,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\WindowsVista.6002.090410-1830.x86chk.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 6002,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1a41,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x19ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x1c2c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\WindowsVista.6002.090410-1830.amd64chk.Symbols\EXE\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 0,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 2,
            /* .uBuildNo  = */ 6002,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x3475,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x3418,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x399c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7.7600.16385.090713-1255.X86FRE.Symbols\Symbols\ntkrpamp.pdb\5B308B4ED6464159B87117C711E7340C2\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 7600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7.7600.16385.090713-1255.X86FRE.Symbols\Symbols\ntkrnlmp.pdb\998A3472EEA6405CB8C089DE868F26222\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 7600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Win7.7600.16385.090713-1255.X64FRE.Symbols\Symbols\ntkrnlmp.pdb\F8E2A8B5C9B74BF4A6E4A48F180099942\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 7600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x21d9,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x2198,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x4bb8,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7.7600.16385.090713-1255.X86CHK.Symbols\Symbols\ntkrnlmp.pdb\9E7882E37C3E4AC9BB60F4EAD9DB492A1\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 7600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7.7600.16385.090713-1255.X86CHK.Symbols\Symbols\ntkrpamp.pdb\3269AC66C11B41FC995991F129E95D5C1\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 7600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Win7.7600.16385.090713-1255.X64CHK.Symbols\Symbols\ntkrnlmp.pdb\C491E3167994497FA91338D08A7787041\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 7600,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x21d9,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x2198,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x4bb8,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7SP1.7601.17514.101119-1850.X86FRE.Symbols\Symbols\ntkrpamp.pdb\684DA42A30CC450F81C535B4D18944B12\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 7601,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7SP1.7601.17514.101119-1850.X86FRE.Symbols\Symbols\ntkrnlmp.pdb\00625D7D36754CBEBA4533BA9A0F3FE22\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 7601,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Win7SP1.7601.17514.101119-1850.AMD64FRE.Symbols\Symbols\ntkrnlmp.pdb\3844DBB920174967BE7AA4A2C20430FA2\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 7601,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x21d9,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x2198,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x4bb8,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7SP1.7601.17514.101119-1850.X86CHK.Symbols\Symbols\ntkrpamp.pdb\C3355A163C47464183D85DE0B836F83A1\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 7601,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win7SP1.7601.17514.101119-1850.X86CHK.Symbols\Symbols\ntkrnlmp.pdb\1477BEA3E003427CB248D5233B0601951\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 7601,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x1931,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x18ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x336c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Win7SP1.7601.17514.101119-1850.AMD64CHK.Symbols\Symbols\ntkrnlmp.pdb\FF0DE75C807A4B85A7668D2113A62EF11\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 1,
            /* .uBuildNo  = */ 7601,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x21d9,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x2198,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x4bb8,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win8.9200.16384.120725-1247.X86FRE.Symbols\Symbols\ntkrpamp.pdb\E2342527EA214C109CD28A19ED4FBCCE2\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 9200,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x2231,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x21ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x3c7c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Win8.9200.16384.120725-1247.x64FRE.Symbols\Symbols\ntkrnlmp.pdb\724821001C1C4A03AED8C4C71C2E8D1D2\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ false,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 9200,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x2dd9,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x2d98,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x5948,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_X86
    {   /* Source: s:\WinSyms\u\Windows_Win8.9200.16384.120725-1247.X86CHK.Symbols\Symbols\ntkrpamp.pdb\C4F414C9D1854DE495BDAD814A722C4D1\ntkrpamp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 9200,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x2231,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x21ec,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x3c7c,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
# ifdef RT_ARCH_AMD64
    {   /* Source: s:\WinSyms\u\Windows_Win8.9200.16384.120725-1247.x64CHK.Symbols\Symbols\ntkrnlmp.pdb\FC0361C3243D459496EE02EF1A7ACD271\ntkrnlmp.pdb */
        /*.OsVerInfo = */
        {
            /* .uMajorVer = */ 6,
            /* .uMinorVer = */ 1,
            /* .fChecked  = */ true,
            /* .fSmp      = */ true,
            /* .uCsdNo    = */ 0,
            /* .uBuildNo  = */ 9200,
        },
        /* .KPRCB = */
        {
            /* .offQuantumEnd                = */ 0x2dd9,
            /* .cbQuantumEnd                 = */ 0x0001,
            /* .offDpcQueueDepth             = */ 0x2d98,
            /* .cbDpcQueueDepth              = */ 0x0004,
            /* .offVendorString              = */ 0x5948,
            /* .cbVendorString               = */ 0x000d,
        },
    },
# endif
};
#endif /* !RTNTSDB_NO_DATA */


#endif

